//
// NewFile window class
//

// use cases
// set preferred app?
// target path

#ifndef __NewFileWINDOW_H__
#define __NewFileWINDOW_H__

class NewFile_window : public BWindow
{
public:
					NewFile_window		(BRect WinSize, BNode app_node);
					~NewFile_window	();
	virtual void	MessageReceived (BMessage * message);
	virtual void	Quit			();
			void	read_attr		(int number);
			void	write_attr		(int number);
			void	error_check		(const char * message, int32 status);

private:

	BMessage * save_msg;

	BRect		about_button_rect;
	BRect		clone_button_rect;
	BRect 		save_button_rect;
	BRect 		reset_button_rect;
	
	BPoint		save_button_point;
	BPoint		reset_button_point;
	
	BRect	radio_rect_0;
	BRect	radio_rect_1;
	BRect	radio_rect_2;
	BRect	radio_rect_3;
	BRect	radio_rect_4;
	BRect	radio_rect_5;
	BRect	radio_rect_6;
	BRect	radio_rect_7;
	BRect	radio_rect_8;

	BPoint	radio_point_0;
	BPoint	radio_point_1;
	BPoint	radio_point_2;
	BPoint	radio_point_3;
	BPoint	radio_point_4;
	BPoint	radio_point_5;
	BPoint	radio_point_6;
	BPoint	radio_point_7;
	BPoint	radio_point_8;
	
	// file related
	BNode 		my_app_node;	// getting the node of app

	status_t	status;			// success check-point

	// Attributes
	BString attr_name[9];
	BString attr_value[9];
	
	// value keeping BTextControls
	BTextControl * file_name;
    BTextControl * file_type;
    BTextControl * ext;
    BTextControl * my_preferred_app;
    BCheckBox	*	add_ext;
	BCheckBox	*	open_file;
	BCheckBox	*	use_my_app;
};
#endif

